Add Cart Line Items
Adds line item to the Cart.
Usage Notes
To add a custom item use custom_items. Note that images are not supported for custom items; the image_url field is accepted but does not render on the storefront.
If a product has modifiers, omit the variant_id and instead use the option_selections array to describe both the variant and the modifier selections.
To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the version field in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.
Overridable fields
When adding a line item, you can override the following catalog values:
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Query parameters
redirect_urls: Create a direct link to a cart. This can be used for the /POST request for carts.line_items.physical_items.options: The cart returns an abbreviated result. Use this to return physical items product options. To return the extended cart object, use in a /POST request.line_items.digital_items.options: The cart returns an abbreviated result. Use this to return digital items product options. To return the extended cart object, use in a /POST request.line_items.physical_items.stock_position: Returns backorder and stock availability details for physical items.line_items.digital_items.stock_position: Returns backorder and stock availability details for digital items. Since digital products cannot be backordered, backorder values are always zero.promotions.banners: Returns a list of eligible banners.
Request
The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.
Response
A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.